<?php
use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if(!defined('ABSPATH')) exit;



class pc_user_del_on_elementor extends Widget_Base {
	
	 public function get_icon() {
      return 'emtr_lcweb_icon';
   }
	
	public function get_name() {
		return 'pc-user-del';
	}

	public function get_categories() {
		return array('privatecontent');
	}

   public function get_title() {
      return 'PC - '. __('User Deletion', PC_ML);
   }



   protected function _register_controls() {

		$this->start_controls_section(
			'main',
			array(
				'label' => 'PrivateContent - '. __('User Deletion', PC_ML),
			)
		);
  
		$this->add_control(
		   'redirect',
		   array(
			  	'label' 		=> __('Custom Redirect', PC_ML),
				'type' 			=> Controls_Manager::TEXT,
				'description'	=> __('Custom redirect (use a valid URL or "<em>refresh</em>" keyword)', PC_ML),
		   )
		);
		
		$this->add_control(
		   'align',
		   array(
			  'label' 	=> __('Alignment', PC_ML),
			  'type' 	=> Controls_Manager::SELECT,
			  'default' => 'center',
			  'options' => array(
			  	'center' 	=> __('Center', PC_ML),
				'left'		=> __('Left', PC_ML),
				'right'		=> __('Right', PC_ML),
			  )
		   )
		);
			
		$this->end_controls_section();
   }


	
	////////////////////////



	protected function render() {
     	$vals = $this->get_settings();
		//var_dump($vals);

		$parts = array('redirect', 'align');
		$params = '';
		
		foreach($parts as $part) {
			$params .= $part.'="';
			
			if(!isset($vals[$part])) {$vals[$part] = '';}
			$params .= $vals[$part].'" ';	
		}
		
		echo do_shortcode('[pc-user-del-box '. $params .']');
	}


	protected function _content_template() {}
}
